Core - Bug # 39135

Task # 38086 (Closed): Enhance TYPOS3 bootstrap mechanism

Status: Resolved Priority: Should have
Author: Christian Kuhn Category:

Created: 2012-07-20 Assigned To:

Updated: 2013-04-03 Due date:

TYPOS3 Version: 6.0

PHP Version: 53

Complexity: medium

Is Regression:
Sprint Focus:

Subject: localconf upgrade wizard should recognize $globals['typo3_conf_vars']

Description

and not only $typo3_conf_vars

Related issues:
related to Core - Feature # 38562: Refactor localconf.php handling Resolved 2012-07-02

Associated revisions

Revision cd1bebf1 - 2013-04-03 17:44 - Anja Leichsenring

[BUGFIX] Let Upgrade wizard recognize $GLOBALS['TYPO3_CONF_VARS']

The LocalConfiguration wizard rewrites the existing localconf.php to the
new LocalConfiguration.php. To do so, the lines are read and analyzed to

retrieve the value and translate it to the new structure.

Until now, only lines containing the keyword $TYPO3_CONF_VARS are taken
into account. This patch extends the analysis to the keyword
$GLOBALS[TYPO3_CONF_VARS'.

Fixes: #39135

Releases: 6.0, 6.1

Change-Id: 1880076d75a312926c8e968ad3ba883c41f364a62
Reviewed-on: https://review.typo3.org/19482

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Stefan Neufeind
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision f3e5fff3 - 2013-04-03 17:47 - Anja Leichsenring

[BUGFIX] Let Upgrade wizard recognize $GLOBALS['TYPO3_CONF_VARS']

The LocalConfiguration wizard rewrites the existing localconf.php to the
new LocalConfiguration.php. To do so, the lines are read and analyzed to
retrieve the value and translate it to the new structure.

Until now, only lines containing the keyword $TYPO3_CONF_VARS are taken

into account. This patch extends the analysis to the keyword
$GLOBALS[TYPO3_CONF_VARS'.

Fixes: #39135

Releases: 6.0, 6.1

Change-Id: 1880076d75a312926c8e968ad3ba883c41f364a62
Reviewed-on: https://review.typo3.org/19546

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-01-13 19:07 - Helmut Hummel
- Target version changed from 6.0.0-alpha3 to 6.0.1

#2 - 2013-04-01 13:39 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19482

#3 - 2013-04-01 14:09 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19482

#4 - 2013-04-03 17:46 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.org/19546

#5 - 2013-04-03 18:30 - Anja Leichsenring
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f3e5fff3a7ed9fdaefoc8c71b7e01f7885173de2.
